 /************************
 ** Document
 ************************/
 * {
    padding: 0;
    margin: 0;
 }
html, body {
    background: #262D34;
    font-family: 'Josefin Sans', sans-serif;
    color: #C1C1C1;
    height: 100%;
 }

a {
    color: #fff;
}

 .container {
     margin: 0 auto;
     width: 100%;
     text-align: center;
     padding-top: 1px;
 }

.contact-form {
    text-align: left;
    margin: 0 auto;
    width: 98%;
    padding: 0 0 50px;
    min-height:200px;
}

 /************************
 ** Header
 ************************/
 
header {
    position: relative;
    height: 75px;
    font-family: 'Oswald', sans-serif;
    font-size: 1rem;
    width: 100%;
    max-height: 75px;
}

.sticky {
    height: inherit;
    width: inherit;
    position: fixed;
    z-index: 999;
    top: 0;
    box-shadow: 0 0 30px rgba(0, 0, 0, .4);
    line-height: 1em;
    background: #262D34;   
}

#site-logo {
    padding: 0 5px 0 20px;       
    font-size: 1em;
    font-weight: bold; 
    text-transform: uppercase;
    color: #e3e3e3;
    display:inline-block;
    width: 400px;
}

#site-logo a {
    text-decoration: none;
}

#site-subtitle {
    display: inherit;
    font-size: 0.7em;
    line-height: 1.5em;
    font-weight: 100;
    color: #d1d0d0;
}

#menu-button {
    position: absolute;
    float: right;
    right: 10px;
    bottom: 20px;
    width: 35px;
    height: 35px;
    transition-duration: 0.25s;
    transition-property: width, height;
    transform-origin: center;
    background-image: url(UI/menu_icon.png);
    background-size: contain;
    background-color: transparent;
    border: 0px;
}
#menu-button:hover {
    width: 40px;
    height: 40px;
}

#header-nav {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background:#262D34;
    text-align: center;
    margin-right: auto;
}

#header-nav li:first-child {
    margin-top: 75px;
}

#header-nav li {    
    display: block;
    padding: 25px 8px;
    margin: 10px auto;
    background: #181b1f;
    vertical-align: middle;
    font-size: 1.5em;
}

#header-nav a {
    font-size: 1.6em;
    font-weight: bold;
    color: #fff;
    margin: 2px 0;
    padding: 10px 0;
    text-decoration: none;
}

#header-nav a:hover {
    text-decoration: underline;
    font-weight: bold;
}

/************************
 ** Main Content
 ************************/
 
main h1 {
    font-family: 'Oswald', sans-serif;
    font-size: 2em;    
    text-transform: uppercase;
    font-weight: bold;
    text-align: center;
    color: #e3e3e3;
    padding-top: 25px;
}

#about {
    background: transparent;
}

#skills {
    text-align: left;
    margin-bottom: 30px;
    width: 98%;
}


#portfolio, #contact, #project {
    background: #181b1f;
    background: -moz-linear-gradient(top, #15181c 0%, #181b1f 5%, #181b1f 95%, #15181c 100%);
    background: -webkit-linear-gradient(top, #15181c 0%, #181b1f 5%, #181b1f 95%, #15181c 100%);
    background: -o-linear-gradient(top, #15181c 0%, #181b1f 5%, #181b1f 95%, #15181c 100%);
    background: -ms-linear-gradient(top, #15181c 0%, #181b1f 5%, #181b1f 95%, #15181c 100%);
    background: linear-gradient(to bottom, #15181c 0%, #181b1f 3%, #181b1f 97%, #15181c 100%);
}

.showcase {
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    padding: 10px 0;
}

.showcase-banner {
    display: block;
    height: 40vh;
    width:100%;
    margin: 0;
    padding: 0;
    font-size: 1.2em;
    background-image: url(images/layout/mobile_banner.jpg);
    background-size: cover;
    background-position: center;
}

.showcase-title {
    color: #d1d0d0;
    font-family: 'Oswald', sans-serif;
    font-weight: bold;
}

.showcase-box {
    transition-property: box-shadow;
    transition-duration: 0.3s;
    margin: 10px 0;
    padding: 20px 10px;
}

#about .showcase {
    width: 100%;
    margin: 0 auto;
}

#about .showcase-photo {   
    min-width: 275px;
    width: 50%; 
    border-radius: 50%;
}

.showcase-photo {
    width: 98%;
    padding: 0px;
}

.showcase-desc {
    text-align: left;
    padding: 10px;
}

#skills ul {
    margin-left: 30px;
}

/*Faux button*/
.showcase-button {
    width: 150px;
    height: 50px;
    border-radius: 3px;
    background-color:#363E47;
    margin: auto auto 0px;
    display: flex;
    justify-content:center;
    align-content:center;
    flex-direction:column; 
}
.showcase-button span {
    font-size: 0.75em;
    text-transform: uppercase;
}
.showcase-button:hover {
    background-color:#2b3139;
}
.showcase-button:active {
    background-color:#1e2328;
    -moz-box-shadow: 9px 9px 15px #0f1317;
    -webkit-box-shadow: 9px 9px 15px #0f1317;
    box-shadow: 0px 0px 15px #0f1317;
}

/*Limited to project pages*/
#project .showcase-desc {
    width: 90%;
    margin: 0 auto 10px;
}

#project .showcase-photo {   
    width: 90%; 
    margin: 10px auto;
}
#project section:last-child{
    font-size: 0.75em;    
    margin: 0 auto 10px;
}

/*Project banners*/
.project-banner div {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.35);    
    text-shadow: 0px 0px 3px #000;
}

#liminal-banner {
    background-image: url(images/projects/ue4-liminal/thumbnail.jpg);
}

#farmhouse-banner {
    background-image: url(images/projects/udk-farmhouse/thumbnail.jpg);
}

#desert-banner {
    background-image: url(images/layout/mobile_banner.jpg);
}

#readingroom-banner {
    background-image: url(images/projects/ue4-readingroom/thumbnail.jpg);
}

/*YouTube Embed Resize*/
.project-video {
    width: calc(300px * 0.95);
    height: calc(300px * 0.5512);
    margin: 20px auto;
}

 /************************
 ** Footer
 ************************/
footer {
    width: 100%;
    padding: 17px 0px;
    color: #d1d0d0;
    background: #262D34;
}

#copyright {
    margin-top: 20px;
}

#copyright span {
    font-weight: bold;
}

.pure-button {
    background-color:#363E47;
    color: #fff;
}

.pure-form-stacked {
    margin-top: 20px;
}

.pure-form input[type="password"], .pure-form input[type="email"], 
.pure-form input[type="url"], .pure-form input[type="date"], 
.pure-form input[type="month"], .pure-form input[type="time"], 
.pure-form input[type="datetime"], .pure-form input[type="datetime-local"],
.pure-form input[type="week"], .pure-form input[type="tel"], 
.pure-form input[type="color"], .pure-form input[type="number"], 
.pure-form input[type="search"], .pure-form input[type="text"], 
.pure-form select, .pure-form textarea {
    color: #363E47;
}

#contact-form {
    width: 100%;
}


 /************************
 ** Small Desktop Screen
 ************************/
@media screen and (min-width: 860px) {
    .container {
        width: 100%;
    }

    /************************
    ** Header
    ************************/
    
    header {
        padding: 0;
        margin: 0;
    }

    #site-logo {
        margin-left: auto;
        font-size: 1.1em;
        display: inline-block;      
        line-height: 1em;
        width: 50%; 
    }

    #site-subtitle {
        display: inline;
        font-size: inherit;
        line-height: inherit;
    }

    #mobile-nav {
        display: initial;
        position: relative;
        top: 0;
        left: 0;
        background: transparent;
        text-align: center;
    }

    #header-nav {
        display: inline-block !important;
        position: absolute;
        right: 10px;
        bottom: 5px;
        left: auto;
        top: auto;
        width: auto;
        background: transparent;
    }

    #header-nav a {
        display:block;
        font-size: 0.9em;
        padding: 3px 5px;    
        font-weight: bold;
        color: #fff;
        margin: 20px 0px 0px;
        text-decoration: none;
        transition-property: background-color;
        transition-duration: 0.25s;
    }

    #header-nav a:hover {
        background-color: #262d34;
        background-color: -moz-linear-gradient(top, #15181c 0%, #262d34 5%, #262d34 95%, #15181c 100%);
        background-color: -webkit-linear-gradient(top, #15181c 0%, #262d34 5%, #262d34 95%, #15181c 100%);
        background-color: -o-linear-gradient(top, #15181c 0%, #262d34 5%, #262d34 95%, #15181c 100%);
        background-color: -ms-linear-gradient(top, #15181c 0%, #262d34 5%, #262d34 95%, #15181c 100%);
    }

    #menu-button {
        display: none;
    }
    
    #header-nav {
        display: inline-block !important;
        position: absolute;
        right: 10px;
        bottom: 5px;
        left: auto;
        top: auto;
        width: auto;
        background: transparent;
    }

    #header-nav ul {
        display:block;
        height:100%;
        list-style:none;
        text-align: center;
    }
    
    #header-nav li, #header-nav li:first-child{
        display:inline-block;
        margin-top: initial;
        margin-bottom: 5px;
        padding: 0px auto;
        background: transparent;
        font-size: 1.5em;
        
    }
    
    /************************
    ** Main Content
    ************************/
    main h1 {
        font-size: 1.8em;
    }
    .showcase {
        flex-direction: row;
    }

    /* Banner              */
    .showcase-banner {
        height: calc(100vh - 75px);
        background-image: url(images/layout/desktop_banner.jpg);
    }
    
    #about .showcase-photo {   
        width: 98%; 
        border-radius: 50%;
    }

    .showcase-box {
        width: 45%;
    }

    #about .showcase, #skills .showcase {
        width: 800px;
        margin: 0 auto;
    }

    #portfolio .showcase-box:hover {
        -moz-box-shadow: 9px 9px 15px #0f1317;
        -webkit-box-shadow: 9px 9px 15px #0f1317;
        box-shadow: 0px 0px 15px #0f1317;
    }
    /*Faux button*/
    .showcase-button {
        width: 100px;
        height: 40px;
        float: right;
    }
    /*Limited to project pages*/
    #project .showcase {
        display: flex;
        justify-content: center;
        align-content: center;
        flex-direction: column; 
        max-width: 1200px;
        margin: 0 auto;
    }

    #project .showcase-photo {
        width: 95%;
        margin: 20px auto;
    }

    /*Project banners*/
    .project-banner {
        height: calc(60vh - 75px);
    }        
    #liminal-banner {
        background-image: url(images/projects/ue4-liminal/1.jpg);
    }
    #farmhouse-banner {
        background-image: url(images/projects/udk-farmhouse/6.jpg);
    }    
    #desert-banner {
        background-image: url(images/projects/ue4-desert/1.jpg);
    }

    /*YouTube Embed Resize*/
    .project-video {
        width: calc(800px * 0.98);
        height: calc(800px * 0.55125);
        margin: 20px auto;
    }

    /************************
    ** Footer
    ************************/
    footer {
        padding: 17px 0;
    }
    
}


/************************
** Large Desktop Screen
************************/
@media screen and (min-width: 1100px) {
    #site-logo {
        margin-left: 7%;
        font-size: 1.2em;
        display: inline-block;      
        line-height: 1em;
        width: 50%; 
    }

    #header-nav {
        margin-right: 7%;
    }

    #about .showcase {
        width: 1075px;
        margin: 0 auto;
    }
    
    #portfolio .showcase {
        max-width: 1500px;
        margin: 0 auto;
    }

    .contact-form {
        max-width: 1000px;
        margin: 0 auto;
    }

    /*Limited to project pages*/
    #project .showcase-photo {   
        width: 98%; 
        margin: 30px auto;
    }

    /*YouTube Embed Resize*/
    .project-video {
        width: calc(1100px * 0.98);
        height: calc(1100px * 0.55125);
        margin: 30px auto;
    }
}